Cyberduck Mountain Duck CLI

#11521 closed enhancement (fixed)

Preference to set default storage class

Reported by: trenzterra Owned by: dkocher
Priority: normal Milestone: 7.10.0
Component: google-storage Version: 7.7.2
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Hi there,

This issue arose as a result of the fix introduced to #11062. While the "interoperability failure" issue was fixed previously, Cyberduck will now no longer honour the default storage class setting and will always upload files with storage class "Standard". As my storage bucket is using the "Archive" storage class (which, incidentally, does not appear to be supported by Cyberduck at the current moment in the "Info" tab), I have to change them manually using gsutils after each upload.

I wonder whether if it is possible to avoid specifying the "storageClass" parameter altogether, as per what itspage suggested, such that the file will upload only to the default storage class setting? I note that in versions 7.3.0 and before, there was no interoperability failure issue and the default storage class setting was honoured. Just wondering if it could be possible to revert to those settings back then.

Change History (7)

comment:1 Changed on Jan 3, 2021 at 3:55:17 PM by dkocher

  • Component changed from core to google-storage
  • Owner set to dkocher
  • Summary changed from Cyberduck not honouring default storage class for Google Cloud Storage to Not honouring default storage class

comment:2 Changed on Jan 3, 2021 at 3:58:00 PM by dkocher

As a workaround set the hidden configuration option googlestorage.storage.class.

comment:3 Changed on Jan 3, 2021 at 3:58:44 PM by dkocher

  • Summary changed from Not honouring default storage class to Preference to set default storage class
  • Type changed from defect to enhancement

comment:4 Changed on Jun 15, 2021 at 12:32:50 PM by dkocher

  • Milestone set to 7.9.4
  • Status changed from new to assigned

comment:5 Changed on Jun 24, 2021 at 6:57:58 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r51472.

comment:6 Changed on Jun 24, 2021 at 6:58:10 AM by dkocher

  • Milestone changed from 7.9.4 to 7.10

Milestone renamed

comment:7 Changed on Jul 8, 2021 at 9:11:53 AM by yla

  • Milestone changed from 7.10 to 7.10.0

Milestone renamed

Note: See TracTickets for help on using tickets.